Browse Source

Automated conversion to TQt and TDE APIs

master
Timothy Pearson 7 years ago
parent
commit
afe05794c4
19 changed files with 969 additions and 969 deletions
  1. +1
    -1
      ChangeLog
  2. +1
    -1
      INSTALL
  3. +135
    -135
      acinclude.m4
  4. +230
    -230
      autom4te.cache/output.0
  5. +230
    -230
      autom4te.cache/output.1
  6. +163
    -163
      autom4te.cache/traces.0
  7. +78
    -78
      autom4te.cache/traces.1
  8. +9
    -9
      doc/en/index.docbook
  9. +5
    -5
      src/Makefile.am
  10. +25
    -25
      src/find.cpp
  11. +7
    -7
      src/find.h
  12. +2
    -2
      src/find.protocol
  13. +47
    -47
      src/findimpl.cpp
  14. +11
    -11
      src/findimpl.h
  15. +8
    -8
      src/findurl.cpp
  16. +6
    -6
      src/findurl.h
  17. +1
    -1
      src/tracker.h
  18. +4
    -4
      src/trackerfindclient.cpp
  19. +6
    -6
      src/trackerfindclient.h

+ 1
- 1
ChangeLog View File

@ -1 +1 @@
2007/2/18 Version 0.2: Now shipping tracker.h and tracker-client.h from tracker-0.5.4 to build against. This is just a temporary hack and kio-find will probably not work with tracker-0.6.
2007/2/18 Version 0.2: Now shipping tracker.h and tracker-client.h from tracker-0.5.4 to build against. This is just a temporary hack and tdeio-find will probably not work with tracker-0.6.

+ 1
- 1
INSTALL View File

@ -150,7 +150,7 @@ operates.
`--help'
Print a summary of the options to `configure', and exit.
`--quiet'
`--tquiet'
`--silent'
`-q'
Do not print messages saying which checks are being made.


+ 135
- 135
acinclude.m4 View File

@ -23,8 +23,8 @@ dnl IMPORTANT NOTE:
dnl Please do not modify this file unless you expect your modifications to be
dnl carried into every other module in the repository.
dnl
dnl Single-module modifications are best placed in configure.in for kdelibs
dnl and kdebase or configure.in.in if present.
dnl Single-module modifications are best placed in configure.in for tdelibs
dnl and tdebase or configure.in.in if present.
# KDE_PATH_X_DIRECT
dnl Internal subroutine of AC_PATH_X.
@ -103,41 +103,41 @@ ac_x_libraries=],
[LIBS="$ac_save_LIBS"
# First see if replacing the include by lib works.
# Check X11 before X11Rn because it is often a symlink to the current release.
for ac_dir in `echo "$ac_x_includes" | sed s/include/lib${kdelibsuff}/` \
/usr/X11/lib${kdelibsuff} \
/usr/X11R6/lib${kdelibsuff} \
/usr/X11R5/lib${kdelibsuff} \
/usr/X11R4/lib${kdelibsuff} \
for ac_dir in `echo "$ac_x_includes" | sed s/include/lib${tdelibsuff}/` \
/usr/X11/lib${tdelibsuff} \
/usr/X11R6/lib${tdelibsuff} \
/usr/X11R5/lib${tdelibsuff} \
/usr/X11R4/lib${tdelibsuff} \
\
/usr/lib${kdelibsuff}/X11 \
/usr/lib${kdelibsuff}/X11R6 \
/usr/lib${kdelibsuff}/X11R5 \
/usr/lib${kdelibsuff}/X11R4 \
/usr/lib${tdelibsuff}/X11 \
/usr/lib${tdelibsuff}/X11R6 \
/usr/lib${tdelibsuff}/X11R5 \
/usr/lib${tdelibsuff}/X11R4 \
\
/usr/local/X11/lib${kdelibsuff} \
/usr/local/X11R6/lib${kdelibsuff} \
/usr/local/X11R5/lib${kdelibsuff} \
/usr/local/X11R4/lib${kdelibsuff} \
/usr/local/X11/lib${tdelibsuff} \
/usr/local/X11R6/lib${tdelibsuff} \
/usr/local/X11R5/lib${tdelibsuff} \
/usr/local/X11R4/lib${tdelibsuff} \
\
/usr/local/lib${kdelibsuff}/X11 \
/usr/local/lib${kdelibsuff}/X11R6 \
/usr/local/lib${kdelibsuff}/X11R5 \
/usr/local/lib${kdelibsuff}/X11R4 \
/usr/local/lib${tdelibsuff}/X11 \
/usr/local/lib${tdelibsuff}/X11R6 \
/usr/local/lib${tdelibsuff}/X11R5 \
/usr/local/lib${tdelibsuff}/X11R4 \
\
/usr/X386/lib${kdelibsuff} \
/usr/x386/lib${kdelibsuff} \
/usr/XFree86/lib${kdelibsuff}/X11 \
/usr/X386/lib${tdelibsuff} \
/usr/x386/lib${tdelibsuff} \
/usr/XFree86/lib${tdelibsuff}/X11 \
\
/usr/lib${kdelibsuff} \
/usr/local/lib${kdelibsuff} \
/usr/unsupported/lib${kdelibsuff} \
/usr/athena/lib${kdelibsuff} \
/usr/local/x11r5/lib${kdelibsuff} \
/usr/lpp/Xamples/lib${kdelibsuff} \
/lib/usr/lib${kdelibsuff}/X11 \
/usr/lib${tdelibsuff} \
/usr/local/lib${tdelibsuff} \
/usr/unsupported/lib${tdelibsuff} \
/usr/athena/lib${tdelibsuff} \
/usr/local/x11r5/lib${tdelibsuff} \
/usr/lpp/Xamples/lib${tdelibsuff} \
/lib/usr/lib${tdelibsuff}/X11 \
\
/usr/openwin/lib${kdelibsuff} \
/usr/openwin/share/lib${kdelibsuff} \
/usr/openwin/lib${tdelibsuff} \
/usr/openwin/share/lib${tdelibsuff} \
; \
do
dnl Don't even attempt the hair of trying to link an X program!
@ -371,24 +371,24 @@ AC_DEFUN([KDE_1_CHECK_PATHS],
fi
AC_MSG_CHECKING([for KDE libraries installed])
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lkdecore $LIBQT $KDE_TEST_RPATH 1>&5'
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -ltdecore $LIBQT $KDE_TEST_RPATH 1>&5'
if AC_TRY_EVAL(ac_link) && test -s conftest; then
AC_MSG_RESULT(yes)
else
AC_MSG_ERROR([your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and kdelibs as you did use now.
same compiler to compile Qt and tdelibs as you did use now.
For more details about this problem, look at the end of config.log.])
fi
if eval `KDEDIR= ./conftest 2>&5`; then
if eval `TDEDIR= ./conftest 2>&5`; then
kde_result=done
else
kde_result=problems
fi
KDEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
TDEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
kde_have_all_paths=yes
KDE_SET_PATHS($kde_result)
@ -547,11 +547,11 @@ Please check whether you installed aRts correctly or use
AC_DEFUN([KDE_SET_DEFAULT_BINDIRS],
[
kde_default_bindirs="/usr/bin /usr/local/bin /opt/local/bin /usr/X11R6/bin /opt/kde/bin /opt/kde3/bin /usr/kde/bin /usr/local/kde/bin"
test -n "$KDEDIR" && kde_default_bindirs="$KDEDIR/bin $kde_default_bindirs"
if test -n "$KDEDIRS"; then
test -n "$TDEDIR" && kde_default_bindirs="$TDEDIR/bin $kde_default_bindirs"
if test -n "$TDEDIRS"; then
kde_save_IFS=$IFS
IFS=:
for dir in $KDEDIRS; do
for dir in $TDEDIRS; do
kde_default_bindirs="$dir/bin $kde_default_bindirs "
done
IFS=$kde_save_IFS
@ -602,18 +602,18 @@ AC_DEFUN([KDE_SUBST_PROGRAMS],
fi
if test -n "$kde32ornewer"; then
KDE_FIND_PATH(kconfig_compiler, KCONFIG_COMPILER, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(kconfig_compiler)])
KDE_FIND_PATH(tdeconfig_compiler, KCONFIG_COMPILER, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(tdeconfig_compiler)])
KDE_FIND_PATH(dcopidlng, DCOPIDLNG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(dcopidlng)])
fi
if test -n "$kde33ornewer"; then
KDE_FIND_PATH(makekdewidgets, MAKEKDEWIDGETS, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(makekdewidgets)])
KDE_FIND_PATH(maketdewidgets, MAKEKDEWIDGETS, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(maketdewidgets)])
AC_SUBST(MAKEKDEWIDGETS)
fi
KDE_FIND_PATH(xmllint, XMLLINT, [${prefix}/bin ${exec_prefix}/bin], [XMLLINT=""])
if test -n "$MEINPROC" -a "$MEINPROC" != "compiled"; then
kde_sharedirs="/usr/share/kde /usr/local/share /usr/share /opt/kde3/share /opt/kde/share $prefix/share"
test -n "$KDEDIR" && kde_sharedirs="$KDEDIR/share $kde_sharedirs"
test -n "$TDEDIR" && kde_sharedirs="$TDEDIR/share $kde_sharedirs"
AC_FIND_FILE(apps/ksgmltools2/customization/kde-chunk.xsl, $kde_sharedirs, KDE_XSL_STYLESHEET)
if test "$KDE_XSL_STYLESHEET" = "NO"; then
KDE_XSL_STYLESHEET=""
@ -710,7 +710,7 @@ AC_SUBST(kde_templatesdir)
AC_SUBST(kde_servicesdir)
AC_SUBST(kde_servicetypesdir)
AC_SUBST(kde_moduledir)
AC_SUBST(kdeinitdir, '$(kde_moduledir)')
AC_SUBST(tdeinitdir, '$(kde_moduledir)')
AC_SUBST(kde_styledir)
AC_SUBST(kde_widgetdir)
if test "$kde_qtver" = 1; then
@ -937,7 +937,7 @@ mips-sgi-irix6*)
ac_x_includes="."
fi
if test -z "$ac_x_libraries"; then
ac_x_libraries="/usr/lib${kdelibsuff}"
ac_x_libraries="/usr/lib${tdelibsuff}"
fi
esac
#from now on we use our own again
@ -1325,7 +1325,7 @@ AC_ARG_ENABLE(
USING_QT_MT=""
dnl ------------------------------------------------------------------------
dnl If we not get --disable-qt-mt then adjust some vars for the host.
dnl If we not get --disable-tqt-mt then adjust some vars for the host.
dnl ------------------------------------------------------------------------
KDE_MT_LDFLAGS=
@ -1383,7 +1383,7 @@ dnl ------------------------------------------------------------
fi
dnl ------------------------------------------------------------------------
dnl If we got --enable-qt-mt then adjust the Qt library name for the host.
dnl If we got --enable-tqt-mt then adjust the Qt library name for the host.
dnl ------------------------------------------------------------------------
if test "x$kde_use_qt_mt" = "xyes"; then
@ -1418,7 +1418,7 @@ qt_includes=""
AC_ARG_WITH(qt-dir,
AC_HELP_STRING([--with-qt-dir=DIR],[where the root of Qt is installed ]),
[ ac_qt_includes="$withval"/include
ac_qt_libraries="$withval"/lib${kdelibsuff}
ac_qt_libraries="$withval"/lib${tdelibsuff}
ac_qt_bindir="$withval"/bin
])
@ -1459,7 +1459,7 @@ ac_qt_includes="$qt_incdir"
qt_libdirs=""
for dir in $kde_qt_dirs; do
qt_libdirs="$qt_libdirs $dir/lib${kdelibsuff} $dir"
qt_libdirs="$qt_libdirs $dir/lib${tdelibsuff} $dir"
done
qt_libdirs="$QTLIB $qt_libdirs /usr/X11R6/lib /usr/lib /usr/local/qt/lib $x_libraries"
if test ! "$ac_qt_libraries" = "NO"; then
@ -1644,11 +1644,11 @@ rm -f actest.ui actest.cpp
AC_MSG_RESULT([$kde_cv_uic_plugins])
if test "$kde_cv_uic_plugins" != yes; then
AC_MSG_ERROR([
you need to install kdelibs first.
you need to install tdelibs first.
If you did install kdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile kdelibs.
The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the
If you did install tdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile tdelibs.
The Qt Plugin installed by tdelibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.
])
@ -1785,16 +1785,16 @@ AC_CACHE_VAL(ac_cv_have_kde,
if test "$kde_qtver" = 1; then
kde_check_header="ksock.h"
kde_check_lib="libkdecore.la"
kde_check_lib="libtdecore.la"
else
kde_check_header="ksharedptr.h"
kde_check_lib="libkio.la"
kde_check_lib="libtdeio.la"
fi
if test -z "$1"; then
kde_incdirs="$kde_libs_prefix/include /usr/lib/kde/include /usr/local/kde/include /usr/local/include /usr/kde/include /usr/include/kde /usr/include /opt/kde3/include /opt/kde/include $x_includes $qt_includes"
test -n "$KDEDIR" && kde_incdirs="$KDEDIR/include $KDEDIR/include/kde $KDEDIR $kde_incdirs"
kde_incdirs="$kde_libs_prefix/include /usr/lib/kde/include /usr/local/kde/include /usr/local/include /usr/kde/include /usr/include/tde /usr/include /opt/kde3/include /opt/kde/include $x_includes $qt_includes"
test -n "$TDEDIR" && kde_incdirs="$TDEDIR/include $TDEDIR/include/tde $TDEDIR $kde_incdirs"
kde_incdirs="$ac_kde_includes $kde_incdirs"
AC_FIND_FILE($kde_check_header, $kde_incdirs, kde_incdir)
ac_kde_includes="$kde_incdir"
@ -1805,8 +1805,8 @@ in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!])
fi
kde_libdirs="$kde_libs_prefix/lib${kdelibsuff} /usr/lib/kde/lib${kdelibsuff} /usr/local/kde/lib${kdelibsuff} /usr/kde/lib${kdelibsuff} /usr/lib${kdelibsuff}/kde /usr/lib${kdelibsuff}/kde3 /usr/lib${kdelibsuff} /usr/X11R6/lib${kdelibsuff} /usr/local/lib${kdelibsuff} /opt/kde3/lib${kdelibsuff} /opt/kde/lib${kdelibsuff} /usr/X11R6/kde/lib${kdelibsuff}"
test -n "$KDEDIR" && kde_libdirs="$KDEDIR/lib${kdelibsuff} $KDEDIR $kde_libdirs"
kde_libdirs="$kde_libs_prefix/lib${tdelibsuff} /usr/lib/kde/lib${tdelibsuff} /usr/local/kde/lib${tdelibsuff} /usr/kde/lib${tdelibsuff} /usr/lib${tdelibsuff}/kde /usr/lib${tdelibsuff}/kde3 /usr/lib${tdelibsuff} /usr/X11R6/lib${tdelibsuff} /usr/local/lib${tdelibsuff} /opt/kde3/lib${tdelibsuff} /opt/kde/lib${tdelibsuff} /usr/X11R6/kde/lib${tdelibsuff}"
test -n "$TDEDIR" && kde_libdirs="$TDEDIR/lib${tdelibsuff} $TDEDIR $kde_libdirs"
kde_libdirs="$ac_kde_libraries $libdir $kde_libdirs"
AC_FIND_FILE($kde_check_lib, $kde_libdirs, kde_libdir)
ac_kde_libraries="$kde_libdir"
@ -1824,7 +1824,7 @@ fi
if test -n "$kde_widgetdir" && test ! -r "$kde_widgetdir/kde3/plugins/designer/kdewidgets.la"; then
AC_MSG_ERROR([
I can't find the designer plugins. These are required and should have been installed
by kdelibs])
by tdelibs])
fi
if test -n "$kde_widgetdir"; then
@ -1839,7 +1839,7 @@ else
ac_kde_includes=$ac_kde_includes ac_kde_libraries=$ac_kde_libraries"
fi
else dnl test -z $1, e.g. from kdelibs
else dnl test -z $1, e.g. from tdelibs
ac_cv_have_kde="have_kde=no"
@ -1979,20 +1979,20 @@ cat > conftest.$ac_ext <<EOF
#include <kapp.h>
int main() {
printf("kde_htmldir=\\"%s\\"\n", KApplication::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", KApplication::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", KApplication::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", KApplication::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", KApplication::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", KApplication::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", KApplication::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", KApplication::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", KApplication::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", KApplication::kde_toolbardir().data());
printf("kde_htmldir=\\"%s\\"\n", TDEApplication::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", TDEApplication::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", TDEApplication::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", TDEApplication::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", TDEApplication::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", TDEApplication::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", TDEApplication::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", TDEApplication::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", TDEApplication::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", TDEApplication::kde_toolbardir().data());
printf("kde_wallpaperdir=\\"%s\\"\n",
KApplication::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", KApplication::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", KApplication::kde_partsdir().data());
TDEApplication::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", TDEApplication::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", TDEApplication::kde_partsdir().data());
printf("kde_servicesdir=\\"/tmp/dummy\\"\n");
printf("kde_servicetypesdir=\\"/tmp/dummy\\"\n");
printf("kde_moduledir=\\"/tmp/dummy\\"\n");
@ -2030,7 +2030,7 @@ AC_CACHE_VAL(kde_cv_have_kdeqtaddon,
kde_cxxflags_safe="$CXXFLAGS"
LIBS="-lkde-qt-addon $LIBQT $LIBS"
CXXFLAGS="$CXXFLAGS -I$prefix/include -I$prefix/include/kde $all_includes"
CXXFLAGS="$CXXFLAGS -I$prefix/include -I$prefix/include/tde $all_includes"
LDFLAGS="$LDFLAGS $all_libraries $USER_LDFLAGS"
AC_TRY_LINK([
@ -2064,48 +2064,48 @@ AC_DEFUN([KDE_CREATE_LIBS_ALIASES],
if test $kde_qtver = 3; then
case $host in
*cygwin*) lib_kded="-lkdeinit_kded" ;;
*cygwin*) lib_kded="-ltdeinit_kded" ;;
*) lib_kded="" ;;
esac
AC_SUBST(LIB_KDED, $lib_kded)
AC_SUBST(LIB_KDECORE, "-lkdecore")
AC_SUBST(LIB_KDEUI, "-lkdeui")
AC_SUBST(LIB_KIO, "-lkio")
AC_SUBST(LIB_TDECORE, "-ltdecore")
AC_SUBST(LIB_TDEUI, "-ltdeui")
AC_SUBST(LIB_TDEIO, "-ltdeio")
AC_SUBST(LIB_KJS, "-lkjs")
AC_SUBST(LIB_SMB, "-lsmb")
AC_SUBST(LIB_KAB, "-lkab")
AC_SUBST(LIB_KABC, "-lkabc")
AC_SUBST(LIB_KHTML, "-lkhtml")
AC_SUBST(LIB_KSPELL, "-lkspell")
AC_SUBST(LIB_KPARTS, "-lkparts")
AC_SUBST(LIB_KDEPRINT, "-lkdeprint")
AC_SUBST(LIB_KUTILS, "-lkutils")
AC_SUBST(LIB_KDEPIM, "-lkdepim")
AC_SUBST(LIB_KIMPROXY, "-lkimproxy")
AC_SUBST(LIB_KABC, "-ltdeabc")
AC_SUBST(LIB_TDEHTML, "-ltdehtml")
AC_SUBST(LIB_TDESPELL, "-ltdespell")
AC_SUBST(LIB_TDEPARTS, "-ltdeparts")
AC_SUBST(LIB_TDEPRINT, "-ltdeprint")
AC_SUBST(LIB_TDEUTILS, "-ltdeutils")
AC_SUBST(LIB_TDEPIM, "-ltdepim")
AC_SUBST(LIB_TDEIMPROXY, "-ltdeimproxy")
AC_SUBST(LIB_KNEWSTUFF, "-lknewstuff")
AC_SUBST(LIB_KDNSSD, "-lkdnssd")
AC_SUBST(LIB_KUNITTEST, "-lkunittest")
AC_SUBST(LIB_TDEDNSSD, "-ltdednssd")
AC_SUBST(LIB_TDEUNITTEST, "-ltdeunittest")
# these are for backward compatibility
AC_SUBST(LIB_KSYCOCA, "-lkio")
AC_SUBST(LIB_KFILE, "-lkio")
AC_SUBST(LIB_TDESYCOCA, "-ltdeio")
AC_SUBST(LIB_KFILE, "-ltdeio")
elif test $kde_qtver = 2; then
AC_SUBST(LIB_KDECORE, "-lkdecore")
AC_SUBST(LIB_KDEUI, "-lkdeui")
AC_SUBST(LIB_KIO, "-lkio")
AC_SUBST(LIB_KSYCOCA, "-lksycoca")
AC_SUBST(LIB_TDECORE, "-ltdecore")
AC_SUBST(LIB_TDEUI, "-ltdeui")
AC_SUBST(LIB_TDEIO, "-ltdeio")
AC_SUBST(LIB_TDESYCOCA, "-ltdesycoca")
AC_SUBST(LIB_SMB, "-lsmb")
AC_SUBST(LIB_KFILE, "-lkfile")
AC_SUBST(LIB_KFILE, "-ltdefile")
AC_SUBST(LIB_KAB, "-lkab")
AC_SUBST(LIB_KHTML, "-lkhtml")
AC_SUBST(LIB_KSPELL, "-lkspell")
AC_SUBST(LIB_KPARTS, "-lkparts")
AC_SUBST(LIB_KDEPRINT, "-lkdeprint")
AC_SUBST(LIB_TDEHTML, "-ltdehtml")
AC_SUBST(LIB_TDESPELL, "-ltdespell")
AC_SUBST(LIB_TDEPARTS, "-ltdeparts")
AC_SUBST(LIB_TDEPRINT, "-ltdeprint")
else
AC_SUBST(LIB_KDECORE, "-lkdecore -lXext $(LIB_QT)")
AC_SUBST(LIB_KDEUI, "-lkdeui $(LIB_KDECORE)")
AC_SUBST(LIB_KFM, "-lkfm $(LIB_KDECORE)")
AC_SUBST(LIB_KFILE, "-lkfile $(LIB_KFM) $(LIB_KDEUI)")
AC_SUBST(LIB_KAB, "-lkab $(LIB_KIMGIO) $(LIB_KDECORE)")
AC_SUBST(LIB_TDECORE, "-ltdecore -lXext $(LIB_QT)")
AC_SUBST(LIB_TDEUI, "-ltdeui $(LIB_TDECORE)")
AC_SUBST(LIB_KFM, "-lkfm $(LIB_TDECORE)")
AC_SUBST(LIB_KFILE, "-ltdefile $(LIB_KFM) $(LIB_TDEUI)")
AC_SUBST(LIB_KAB, "-lkab $(LIB_KIMGIO) $(LIB_TDECORE)")
fi
])
@ -2170,7 +2170,7 @@ if test "x$kde_cv_func_$1" = xyes; then
else
case "$1" in
setenv|unsetenv|usleep|random|srandom|seteuid|mkstemps|mkstemp|revoke|vsnprintf|strlcpy|strlcat)
kde_cv_proto_$1="yes - in libkdefakes"
kde_cv_proto_$1="yes - in libtdefakes"
;;
*)
kde_cv_proto_$1=unknown
@ -2489,7 +2489,7 @@ if eval "test \"`echo $ac_cv_lib_gif`\" = yes"; then
AC_MSG_RESULT(yes)
AC_DEFINE_UNQUOTED(HAVE_LIBGIF, 1, [Define if you have libgif])
else
AC_MSG_ERROR(You need giflib30. Please install the kdesupport package)
AC_MSG_ERROR(You need giflib30. Please install the tdesupport package)
fi
])
@ -2547,7 +2547,7 @@ AC_FIND_FILE(jpeglib.h, $jpeg_incdirs, jpeg_incdir)
test "x$jpeg_incdir" = xNO && jpeg_incdir=
dnl if headers _and_ libraries are missing, this is no error, and we
dnl continue with a warning (the user will get no jpeg support in khtml)
dnl continue with a warning (the user will get no jpeg support in tdehtml)
dnl if only one is missing, it means a configuration error, but we still
dnl only warn
if test -n "$jpeg_incdir" && test -n "$LIBJPEG" ; then
@ -3489,7 +3489,7 @@ LIBTOOL_SHELL="/bin/sh ./libtool"
KDE_PLUGIN="-avoid-version -module -no-undefined \$(KDE_NO_UNDEFINED) \$(KDE_RPATH) \$(KDE_MT_LDFLAGS)"
AC_SUBST(KDE_PLUGIN)
# This hack ensures that libtool creates shared libs for kunittest plugins. By default check_LTLIBRARIES makes static libs.
# This hack ensures that libtool creates shared libs for tdeunittest plugins. By default check_LTLIBRARIES makes static libs.
KDE_CHECK_PLUGIN="\$(KDE_PLUGIN) -rpath \$(libdir)"
AC_SUBST(KDE_CHECK_PLUGIN)
@ -3502,9 +3502,9 @@ AC_DEFUN([KDE_CHECK_LIB64],
AC_ARG_ENABLE(libsuffix,
AC_HELP_STRING([--enable-libsuffix],
[/lib directory suffix (64,32,none,auto[=default])]),
kdelibsuff=$enableval, kdelibsuff="auto")
tdelibsuff=$enableval, tdelibsuff="auto")
if test "$kdelibsuff" = "auto"; then
if test "$tdelibsuff" = "auto"; then
cat > conftest.c << EOF
#include <stdio.h>
@ -3512,26 +3512,26 @@ int main() {
return 0;
}
EOF
kdelibsuff=`$CC conftest.c -o conftest.out; ldd conftest.out |sed -ne '/libc.so/{
tdelibsuff=`$CC conftest.c -o conftest.out; ldd conftest.out |sed -ne '/libc.so/{
s,.*/lib\([[^\/]]*\)/.*,\1,
p
}'`
rm -rf conftest.*
fi
if test "$kdelibsuff" = "no" || test "$kdelibsuff" = "none"; then
kdelibsuff=
if test "$tdelibsuff" = "no" || test "$tdelibsuff" = "none"; then
tdelibsuff=
fi
if test -z "$kdelibsuff"; then
if test -z "$tdelibsuff"; then
AC_MSG_RESULT([not using lib directory suffix])
AC_DEFINE(KDELIBSUFF, [""], Suffix for lib directories)
else
if test "$libdir" = '${exec_prefix}/lib'; then
libdir="$libdir${kdelibsuff}"
libdir="$libdir${tdelibsuff}"
AC_SUBST([libdir], ["$libdir"]) dnl ugly hack for lib64 platforms
fi
AC_DEFINE_UNQUOTED(KDELIBSUFF, ["${kdelibsuff}"], Suffix for lib directories)
AC_MSG_RESULT([using lib directory suffix $kdelibsuff])
AC_DEFINE_UNQUOTED(KDELIBSUFF, ["${tdelibsuff}"], Suffix for lib directories)
AC_MSG_RESULT([using lib directory suffix $tdelibsuff])
fi
])
@ -3549,7 +3549,7 @@ AC_CANONICAL_SYSTEM
AC_ARG_PROGRAM
AM_INIT_AUTOMAKE($1, $2)
AM_DISABLE_LIBRARIES
AC_PREFIX_DEFAULT(${KDEDIR:-/usr/local/kde})
AC_PREFIX_DEFAULT(${TDEDIR:-/usr/local/kde})
AC_CHECK_COMPILERS
KDE_PROG_LIBTOOL
AM_KDE_WITH_NLS
@ -4556,7 +4556,7 @@ fi
PYTHONINC=-I$python_incdir
python_libdirs="$ac_python_dir/lib$kdelibsuff /usr/lib$kdelibsuff /usr/local /usr/lib$kdelibsuff $kde_extra_libs"
python_libdirs="$ac_python_dir/lib$tdelibsuff /usr/lib$tdelibsuff /usr/local /usr/lib$tdelibsuff $kde_extra_libs"
AC_FIND_FILE(libpython$version.so, $python_libdirs, python_libdir)
if test ! -r $python_libdir/libpython$version.so; then
AC_FIND_FILE(libpython$version.a, $python_libdirs, python_libdir)
@ -4946,14 +4946,14 @@ AC_DEFUN([KDE_CONF_FILES],
AC_SUBST(CONF_FILES)
])dnl
dnl This sets the prefix, for arts and kdelibs
dnl This sets the prefix, for arts and tdelibs
dnl Do NOT use in any other module.
dnl It only looks at --prefix, KDEDIR and falls back to /usr/local/kde
dnl It only looks at --prefix, TDEDIR and falls back to /usr/local/kde
AC_DEFUN([KDE_SET_PREFIX_CORE],
[
unset CDPATH
dnl make $KDEDIR the default for the installation
AC_PREFIX_DEFAULT(${KDEDIR:-/usr/local/kde})
dnl make $TDEDIR the default for the installation
AC_PREFIX_DEFAULT(${TDEDIR:-/usr/local/kde})
if test "x$prefix" = "xNONE"; then
prefix=$ac_default_prefix
@ -4977,25 +4977,25 @@ AC_DEFUN([KDE_SET_PREFIX],
unset CDPATH
dnl We can't give real code to that macro, only a value.
dnl It only matters for --help, since we set the prefix in this function anyway.
AC_PREFIX_DEFAULT(${KDEDIR:-the kde prefix})
AC_PREFIX_DEFAULT(${TDEDIR:-the kde prefix})
KDE_SET_DEFAULT_BINDIRS
if test "x$prefix" = "xNONE"; then
dnl no prefix given: look for kde-config in the PATH and deduce the prefix from it
KDE_FIND_PATH(kde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(kde-config)], [], prepend)
dnl no prefix given: look for tde-config in the PATH and deduce the prefix from it
KDE_FIND_PATH(tde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(tde-config)], [], prepend)
else
dnl prefix given: look for kde-config, preferrably in prefix, otherwise in PATH
dnl prefix given: look for tde-config, preferrably in prefix, otherwise in PATH
kde_save_PATH="$PATH"
PATH="$exec_prefix/bin:$prefix/bin:$PATH"
KDE_FIND_PATH(kde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(kde-config)], [], prepend)
KDE_FIND_PATH(tde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(tde-config)], [], prepend)
PATH="$kde_save_PATH"
fi
kde_libs_prefix=`$KDECONFIG --prefix`
if test -z "$kde_libs_prefix" || test ! -x "$kde_libs_prefix"; then
AC_MSG_ERROR([$KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for kdelibs.
AC_MSG_ERROR([$KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for tdelibs.
This means it has been moved since you installed it.
This won't work. Please recompile kdelibs for the new prefix.
This won't work. Please recompile tdelibs for the new prefix.
])
fi
kde_libs_htmldir=`$KDECONFIG --install html --expandvars`
@ -5003,7 +5003,7 @@ AC_DEFUN([KDE_SET_PREFIX],
AC_MSG_CHECKING([where to install])
if test "x$prefix" = "xNONE"; then
prefix=$kde_libs_prefix
AC_MSG_RESULT([$prefix (as returned by kde-config)])
AC_MSG_RESULT([$prefix (as returned by tde-config)])
else
dnl --prefix was given. Compare prefixes and warn (in configure.in.bot.end) if different
given_prefix=$prefix
@ -5660,7 +5660,7 @@ ssl_includes=""
AC_ARG_WITH(ssl-dir,
AC_HELP_STRING([--with-ssl-dir=DIR],[where the root of OpenSSL is installed]),
[ ac_ssl_includes="$withval"/include
ac_ssl_libraries="$withval"/lib$kdelibsuff
ac_ssl_libraries="$withval"/lib$tdelibsuff
])
want_ssl=yes
@ -5680,7 +5680,7 @@ AC_CACHE_VAL(ac_cv_have_ssl,
AC_FIND_FILE(openssl/ssl.h, $ssl_incdirs, ssl_incdir)
ac_ssl_includes="$ssl_incdir"
ssl_libdirs="/usr/lib$kdelibsuff /usr/local/lib$kdelibsuff /usr/ssl/lib$kdelibsuff /usr/local/ssl/lib$kdelibsuff $libdir $prefix/lib$kdelibsuff $exec_prefix/lib$kdelibsuff $kde_extra_libs"
ssl_libdirs="/usr/lib$tdelibsuff /usr/local/lib$tdelibsuff /usr/ssl/lib$tdelibsuff /usr/local/ssl/lib$tdelibsuff $libdir $prefix/lib$tdelibsuff $exec_prefix/lib$tdelibsuff $kde_extra_libs"
if test ! "$ac_ssl_libraries" = "NO"; then
ssl_libdirs="$ac_ssl_libraries $ssl_libdirs"
fi
@ -5917,9 +5917,9 @@ dnl defines KSTUFF_LIBS, KSTUFF_CFLAGS, see pkg-config man page
dnl also defines KSTUFF_PKG_ERRORS on error
AC_DEFUN([KDE_PKG_CHECK_MODULES], [
PKG_CONFIG_PATH="$prefix/lib${kdelibsuff}/pkgconfig:$PKG_CONFIG_PATH"
PKG_CONFIG_PATH="$prefix/lib${tdelibsuff}/pkgconfig:$PKG_CONFIG_PATH"
if test "$prefix" != "$kde_libs_prefix"; then
PKG_CONFIG_PATH="$kde_libs_prefix/lib${kdelibsuff}/pkgconfig:$PKG_CONFIG_PATH"
PKG_CONFIG_PATH="$kde_libs_prefix/lib${tdelibsuff}/pkgconfig:$PKG_CONFIG_PATH"
fi
export PKG_CONFIG_PATH
PKG_CHECK_MODULES([$1],[$2],[$3],[$4])
@ -10384,7 +10384,7 @@ EOF
# Now try to grab the symbols.
nlist=conftest.nm
if AC_TRY_EVAL(NM conftest.$ac_objext \| $lt_cv_sys_global_symbol_pipe \> $nlist) && test -s "$nlist"; then
# Try sorting and uniquifying the output.
# Try sorting and unitquifying the output.
if sort "$nlist" | uniq > "$nlist"T; then
mv -f "$nlist"T "$nlist"
else


+ 230
- 230
autom4te.cache/output.0 View File

@ -731,7 +731,7 @@ PACKAGE_STRING=
PACKAGE_BUGREPORT=
ac_unique_file="acinclude.m4"
ac_default_prefix=${KDEDIR:-the kde prefix}
ac_default_prefix=${TDEDIR:-the kde prefix}
# Factoring default headers for most tests.
ac_includes_default="\
#include <stdio.h>
@ -986,28 +986,28 @@ kde_templatesdir
kde_servicesdir
kde_servicetypesdir
kde_moduledir
kdeinitdir
tdeinitdir
kde_styledir
kde_widgetdir
LIB_KDED
LIB_KDECORE
LIB_KDEUI
LIB_KIO
LIB_TDECORE
LIB_TDEUI
LIB_TDEIO
LIB_KJS
LIB_SMB
LIB_KAB
LIB_KABC
LIB_KHTML
LIB_KSPELL
LIB_KPARTS
LIB_KDEPRINT
LIB_KUTILS
LIB_KDEPIM
LIB_KIMPROXY
LIB_TDEHTML
LIB_TDESPELL
LIB_TDEPARTS
LIB_TDEPRINT
LIB_TDEUTILS
LIB_TDEPIM
LIB_TDEIMPROXY
LIB_KNEWSTUFF
LIB_KDNSSD
LIB_KUNITTEST
LIB_KSYCOCA
LIB_TDEDNSSD
LIB_TDEUNITTEST
LIB_TDESYCOCA
LIB_KFILE
LIB_KFM
TOPSUBDIRS
@ -1299,7 +1299,7 @@ do
-psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
psdir=$ac_optarg ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
-q | -tquiet | --tquiet | --tquie | --tqui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil)
silent=yes ;;
@ -1546,7 +1546,7 @@ Configuration:
--help=short display options specific to this package
--help=recursive display the short help of all the included packages
-V, --version display version information and exit
-q, --quiet, --silent do not print \`checking...' messages
-q, --tquiet, --silent do not print \`checking...' messages
--cache-file=FILE cache test results in FILE [disabled]
-C, --config-cache alias for \`--cache-file=config.cache'
-n, --no-create do not create output files
@ -1816,7 +1816,7 @@ do
do
case $ac_arg in
-no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
-q | -tquiet | --tquiet | --tquie | --tqui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil)
continue ;;
*\'*)
@ -1832,7 +1832,7 @@ do
case $ac_arg in
*=* | --config-cache | -C | -disable-* | --disable-* \
| -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
| -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
| -q | -tquiet | --q* | -silent | --sil* | -v | -verb* \
| -with-* | --with-* | -without-* | --without-* | --x)
case "$ac_configure_args0 " in
"$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
@ -2725,11 +2725,11 @@ am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
kde_default_bindirs="/usr/bin /usr/local/bin /opt/local/bin /usr/X11R6/bin /opt/kde/bin /opt/kde3/bin /usr/kde/bin /usr/local/kde/bin"
test -n "$KDEDIR" && kde_default_bindirs="$KDEDIR/bin $kde_default_bindirs"
if test -n "$KDEDIRS"; then
test -n "$TDEDIR" && kde_default_bindirs="$TDEDIR/bin $kde_default_bindirs"
if test -n "$TDEDIRS"; then
kde_save_IFS=$IFS
IFS=:
for dir in $KDEDIRS; do
for dir in $TDEDIRS; do
kde_default_bindirs="$dir/bin $kde_default_bindirs "
done
IFS=$kde_save_IFS
@ -2737,12 +2737,12 @@ am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
if test "x$prefix" = "xNONE"; then
{ echo "$as_me:$LINENO: checking for kde-config" >&5
echo $ECHO_N "checking for kde-config... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for tde-config" >&5
echo $ECHO_N "checking for tde-config... $ECHO_C" >&6; }
if test -n "$KDECONFIG"; then
kde_cv_path="$KDECONFIG";
else
kde_cache=`echo kde-config | sed 'y%./+-%__p_%'`
kde_cache=`echo tde-config | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -2761,16 +2761,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/kde-config"; then
if test -x "$dir/tde-config"; then
if test -n ""
then
evalstr="$dir/kde-config 2>&1 "
evalstr="$dir/tde-config 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/kde-config"
kde_cv_path="$dir/tde-config"
break
fi
else
kde_cv_path="$dir/kde-config"
kde_cv_path="$dir/tde-config"
break
fi
fi
@ -2790,10 +2790,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program kde-config was not found!
{ { echo "$as_me:$LINENO: error: The important program tde-config was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program kde-config was not found!
echo "$as_me: error: The important program tde-config was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -2809,12 +2809,12 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
kde_save_PATH="$PATH"
PATH="$exec_prefix/bin:$prefix/bin:$PATH"
{ echo "$as_me:$LINENO: checking for kde-config" >&5
echo $ECHO_N "checking for kde-config... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for tde-config" >&5
echo $ECHO_N "checking for tde-config... $ECHO_C" >&6; }
if test -n "$KDECONFIG"; then
kde_cv_path="$KDECONFIG";
else
kde_cache=`echo kde-config | sed 'y%./+-%__p_%'`
kde_cache=`echo tde-config | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -2833,16 +2833,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/kde-config"; then
if test -x "$dir/tde-config"; then
if test -n ""
then
evalstr="$dir/kde-config 2>&1 "
evalstr="$dir/tde-config 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/kde-config"
kde_cv_path="$dir/tde-config"
break
fi
else
kde_cv_path="$dir/kde-config"
kde_cv_path="$dir/tde-config"
break
fi
fi
@ -2862,10 +2862,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program kde-config was not found!
{ { echo "$as_me:$LINENO: error: The important program tde-config was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program kde-config was not found!
echo "$as_me: error: The important program tde-config was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -2882,13 +2882,13 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
kde_libs_prefix=`$KDECONFIG --prefix`
if test -z "$kde_libs_prefix" || test ! -x "$kde_libs_prefix"; then
{ { echo "$as_me:$LINENO: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for kdelibs.
{ { echo "$as_me:$LINENO: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for tdelibs.
This means it has been moved since you installed it.
This won't work. Please recompile kdelibs for the new prefix.
This won't work. Please recompile tdelibs for the new prefix.
" >&5
echo "$as_me: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for kdelibs.
echo "$as_me: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_libs_prefix' for tdelibs.
This means it has been moved since you installed it.
This won't work. Please recompile kdelibs for the new prefix.
This won't work. Please recompile tdelibs for the new prefix.
" >&2;}
{ (exit 1); exit 1; }; }
fi
@ -2898,8 +2898,8 @@ echo "$as_me: error: $KDECONFIG --prefix outputed the non existant prefix '$kde_
echo $ECHO_N "checking where to install... $ECHO_C" >&6; }
if test "x$prefix" = "xNONE"; then
prefix=$kde_libs_prefix
{ echo "$as_me:$LINENO: result: $prefix (as returned by kde-config)" >&5
echo "${ECHO_T}$prefix (as returned by kde-config)" >&6; }
{ echo "$as_me:$LINENO: result: $prefix (as returned by tde-config)" >&5
echo "${ECHO_T}$prefix (as returned by tde-config)" >&6; }
else
given_prefix=$prefix
{ echo "$as_me:$LINENO: result: $prefix (as requested)" >&5
@ -7651,13 +7651,13 @@ fi
# Check whether --enable-libsuffix was given.
if test "${enable_libsuffix+set}" = set; then
enableval=$enable_libsuffix; kdelibsuff=$enableval
enableval=$enable_libsuffix; tdelibsuff=$enableval
else
kdelibsuff="auto"
tdelibsuff="auto"
fi
if test "$kdelibsuff" = "auto"; then
if test "$tdelibsuff" = "auto"; then
cat > conftest.c << EOF
#include <stdio.h>
@ -7665,17 +7665,17 @@ int main() {
return 0;
}
EOF
kdelibsuff=`$CC conftest.c -o conftest.out; ldd conftest.out |sed -ne '/libc.so/{
tdelibsuff=`$CC conftest.c -o conftest.out; ldd conftest.out |sed -ne '/libc.so/{
s,.*/lib\([^\/]*\)/.*,\1,
p
}'`
rm -rf conftest.*
fi
if test "$kdelibsuff" = "no" || test "$kdelibsuff" = "none"; then
kdelibsuff=
if test "$tdelibsuff" = "no" || test "$tdelibsuff" = "none"; then
tdelibsuff=
fi
if test -z "$kdelibsuff"; then
if test -z "$tdelibsuff"; then
{ echo "$as_me:$LINENO: result: not using lib directory suffix" >&5
echo "${ECHO_T}not using lib directory suffix" >&6; }
@ -7685,16 +7685,16 @@ _ACEOF
else
if test "$libdir" = '${exec_prefix}/lib'; then
libdir="$libdir${kdelibsuff}"
libdir="$libdir${tdelibsuff}"
libdir="$libdir"
fi
cat >>confdefs.h <<_ACEOF
@%:@define KDELIBSUFF "${kdelibsuff}"
@%:@define KDELIBSUFF "${tdelibsuff}"
_ACEOF
{ echo "$as_me:$LINENO: result: using lib directory suffix $kdelibsuff" >&5
echo "${ECHO_T}using lib directory suffix $kdelibsuff" >&6; }
{ echo "$as_me:$LINENO: result: using lib directory suffix $tdelibsuff" >&5
echo "${ECHO_T}using lib directory suffix $tdelibsuff" >&6; }
fi
# Check whether --enable-fast-install was given.
@ -8882,8 +8882,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preretquisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preretquisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -9352,7 +9352,7 @@ EOF
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && test -s "$nlist"; then
# Try sorting and uniquifying the output.
# Try sorting and unitquifying the output.
if sort "$nlist" | uniq > "$nlist"T; then
mv -f "$nlist"T "$nlist"
else
@ -22591,7 +22591,7 @@ LIBTOOL_SHELL="/bin/sh ./libtool"
KDE_PLUGIN="-avoid-version -module -no-undefined \$(KDE_NO_UNDEFINED) \$(KDE_RPATH) \$(KDE_MT_LDFLAGS)"
# This hack ensures that libtool creates shared libs for kunittest plugins. By default check_LTLIBRARIES makes static libs.
# This hack ensures that libtool creates shared libs for tdeunittest plugins. By default check_LTLIBRARIES makes static libs.
KDE_CHECK_PLUGIN="\$(KDE_PLUGIN) -rpath \$(libdir)"
@ -23023,7 +23023,7 @@ if test "x$kde_cv_func_strlcat" = xyes; then
else
case "strlcat" in
setenv|unsetenv|usleep|random|srandom|seteuid|mkstemps|mkstemp|revoke|vsnprintf|strlcpy|strlcat)
kde_cv_proto_strlcat="yes - in libkdefakes"
kde_cv_proto_strlcat="yes - in libtdefakes"
;;
*)
kde_cv_proto_strlcat=unknown
@ -23234,7 +23234,7 @@ if test "x$kde_cv_func_strlcpy" = xyes; then
else
case "strlcpy" in
setenv|unsetenv|usleep|random|srandom|seteuid|mkstemps|mkstemp|revoke|vsnprintf|strlcpy|strlcat)
kde_cv_proto_strlcpy="yes - in libkdefakes"
kde_cv_proto_strlcpy="yes - in libtdefakes"
;;
*)
kde_cv_proto_strlcpy=unknown
@ -24620,8 +24620,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preretquisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preretquisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -24762,8 +24762,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preretquisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preretquisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -24971,8 +24971,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preretquisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preretquisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -25108,8 +25108,8 @@ echo "$as_me: WARNING: CoreAudio/CoreAudio.h: proceeding with the compiler's res
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: check for missing preretquisite headers?" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: check for missing preretquisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: CoreAudio/CoreAudio.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: CoreAudio/CoreAudio.h: section \"Present But Cannot Be Compiled\"" >&5
@ -25313,7 +25313,7 @@ if test "x$kde_cv_func_res_init" = xyes; then
else
case "res_init" in
setenv|unsetenv|usleep|random|srandom|seteuid|mkstemps|mkstemp|revoke|vsnprintf|strlcpy|strlcat)
kde_cv_proto_res_init="yes - in libkdefakes"
kde_cv_proto_res_init="yes - in libtdefakes"
;;
*)
kde_cv_proto_res_init=unknown
@ -28418,8 +28418,8 @@ echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: check for missing preretquisite headers?" >&5
echo "$as_me: WARNING: $ac_header: check for missing preretquisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
@ -28853,41 +28853,41 @@ sed 's/^/| /' conftest.$ac_ext >&5
LIBS="$ac_save_LIBS"
# First see if replacing the include by lib works.
# Check X11 before X11Rn because it is often a symlink to the current release.
for ac_dir in `echo "$ac_x_includes" | sed s/include/lib${kdelibsuff}/` \
/usr/X11/lib${kdelibsuff} \
/usr/X11R6/lib${kdelibsuff} \
/usr/X11R5/lib${kdelibsuff} \
/usr/X11R4/lib${kdelibsuff} \
for ac_dir in `echo "$ac_x_includes" | sed s/include/lib${tdelibsuff}/` \
/usr/X11/lib${tdelibsuff} \
/usr/X11R6/lib${tdelibsuff} \
/usr/X11R5/lib${tdelibsuff} \
/usr/X11R4/lib${tdelibsuff} \
\
/usr/lib${kdelibsuff}/X11 \
/usr/lib${kdelibsuff}/X11R6 \
/usr/lib${kdelibsuff}/X11R5 \
/usr/lib${kdelibsuff}/X11R4 \
/usr/lib${tdelibsuff}/X11 \
/usr/lib${tdelibsuff}/X11R6 \
/usr/lib${tdelibsuff}/X11R5 \
/usr/lib${tdelibsuff}/X11R4 \
\
/usr/local/X11/lib${kdelibsuff} \
/usr/local/X11R6/lib${kdelibsuff} \
/usr/local/X11R5/lib${kdelibsuff} \
/usr/local/X11R4/lib${kdelibsuff} \
/usr/local/X11/lib${tdelibsuff} \
/usr/local/X11R6/lib${tdelibsuff} \
/usr/local/X11R5/lib${tdelibsuff} \
/usr/local/X11R4/lib${tdelibsuff} \
\
/usr/local/lib${kdelibsuff}/X11 \
/usr/local/lib${kdelibsuff}/X11R6 \
/usr/local/lib${kdelibsuff}/X11R5 \
/usr/local/lib${kdelibsuff}/X11R4 \
/usr/local/lib${tdelibsuff}/X11 \
/usr/local/lib${tdelibsuff}/X11R6 \
/usr/local/lib${tdelibsuff}/X11R5 \
/usr/local/lib${tdelibsuff}/X11R4 \
\
/usr/X386/lib${kdelibsuff} \
/usr/x386/lib${kdelibsuff} \
/usr/XFree86/lib${kdelibsuff}/X11 \
/usr/X386/lib${tdelibsuff} \
/usr/x386/lib${tdelibsuff} \
/usr/XFree86/lib${tdelibsuff}/X11 \
\
/usr/lib${kdelibsuff} \
/usr/local/lib${kdelibsuff} \
/usr/unsupported/lib${kdelibsuff} \
/usr/athena/lib${kdelibsuff} \
/usr/local/x11r5/lib${kdelibsuff} \
/usr/lpp/Xamples/lib${kdelibsuff} \
/lib/usr/lib${kdelibsuff}/X11 \
/usr/lib${tdelibsuff} \
/usr/local/lib${tdelibsuff} \
/usr/unsupported/lib${tdelibsuff} \
/usr/athena/lib${tdelibsuff} \
/usr/local/x11r5/lib${tdelibsuff} \
/usr/lpp/Xamples/lib${tdelibsuff} \
/lib/usr/lib${tdelibsuff}/X11 \
\
/usr/openwin/lib${kdelibsuff} \
/usr/openwin/share/lib${kdelibsuff} \
/usr/openwin/lib${tdelibsuff} \
/usr/openwin/share/lib${tdelibsuff} \
; \
do
for ac_extension in a so sl; do
@ -28952,7 +28952,7 @@ fi
ac_x_includes="."
fi
if test -z "$ac_x_libraries"; then
ac_x_libraries="/usr/lib${kdelibsuff}"
ac_x_libraries="/usr/lib${tdelibsuff}"
fi
esac
#from now on we use our own again
@ -30303,7 +30303,7 @@ qt_includes=""
# Check whether --with-qt-dir was given.
if test "${with_qt_dir+set}" = set; then
withval=$with_qt_dir; ac_qt_includes="$withval"/include
ac_qt_libraries="$withval"/lib${kdelibsuff}
ac_qt_libraries="$withval"/lib${tdelibsuff}
ac_qt_bindir="$withval"/bin
fi
@ -30368,7 +30368,7 @@ ac_qt_includes="$qt_incdir"
qt_libdirs=""
for dir in $kde_qt_dirs; do
qt_libdirs="$qt_libdirs $dir/lib${kdelibsuff} $dir"
qt_libdirs="$qt_libdirs $dir/lib${tdelibsuff} $dir"
done
qt_libdirs="$QTLIB $qt_libdirs /usr/X11R6/lib /usr/lib /usr/local/qt/lib $x_libraries"
if test ! "$ac_qt_libraries" = "NO"; then
@ -31169,16 +31169,16 @@ else
if test "$kde_qtver" = 1; then
kde_check_header="ksock.h"
kde_check_lib="libkdecore.la"
kde_check_lib="libtdecore.la"
else
kde_check_header="ksharedptr.h"
kde_check_lib="libkio.la"
kde_check_lib="libtdeio.la"
fi
if test -z ""; then
kde_incdirs="$kde_libs_prefix/include /usr/lib/kde/include /usr/local/kde/include /usr/local/include /usr/kde/include /usr/include/kde /usr/include /opt/kde3/include /opt/kde/include $x_includes $qt_includes"
test -n "$KDEDIR" && kde_incdirs="$KDEDIR/include $KDEDIR/include/kde $KDEDIR $kde_incdirs"
kde_incdirs="$kde_libs_prefix/include /usr/lib/kde/include /usr/local/kde/include /usr/local/include /usr/kde/include /usr/include/tde /usr/include /opt/kde3/include /opt/kde/include $x_includes $qt_includes"
test -n "$TDEDIR" && kde_incdirs="$TDEDIR/include $TDEDIR/include/tde $TDEDIR $kde_incdirs"
kde_incdirs="$ac_kde_includes $kde_incdirs"
kde_incdir=NO
@ -31207,8 +31207,8 @@ So, check this please and use another prefix!" >&2;}
{ (exit 1); exit 1; }; }
fi
kde_libdirs="$kde_libs_prefix/lib${kdelibsuff} /usr/lib/kde/lib${kdelibsuff} /usr/local/kde/lib${kdelibsuff} /usr/kde/lib${kdelibsuff} /usr/lib${kdelibsuff}/kde /usr/lib${kdelibsuff}/kde3 /usr/lib${kdelibsuff} /usr/X11R6/lib${kdelibsuff} /usr/local/lib${kdelibsuff} /opt/kde3/lib${kdelibsuff} /opt/kde/lib${kdelibsuff} /usr/X11R6/kde/lib${kdelibsuff}"
test -n "$KDEDIR" && kde_libdirs="$KDEDIR/lib${kdelibsuff} $KDEDIR $kde_libdirs"
kde_libdirs="$kde_libs_prefix/lib${tdelibsuff} /usr/lib/kde/lib${tdelibsuff} /usr/local/kde/lib${tdelibsuff} /usr/kde/lib${tdelibsuff} /usr/lib${tdelibsuff}/kde /usr/lib${tdelibsuff}/kde3 /usr/lib${tdelibsuff} /usr/X11R6/lib${tdelibsuff} /usr/local/lib${tdelibsuff} /opt/kde3/lib${tdelibsuff} /opt/kde/lib${tdelibsuff} /usr/X11R6/kde/lib${tdelibsuff}"
test -n "$TDEDIR" && kde_libdirs="$TDEDIR/lib${tdelibsuff} $TDEDIR $kde_libdirs"
kde_libdirs="$ac_kde_libraries $libdir $kde_libdirs"
kde_libdir=NO
@ -31257,10 +31257,10 @@ fi
if test -n "$kde_widgetdir" && test ! -r "$kde_widgetdir/kde3/plugins/designer/kdewidgets.la"; then
{ { echo "$as_me:$LINENO: error:
I can't find the designer plugins. These are required and should have been installed
by kdelibs" >&5
by tdelibs" >&5
echo "$as_me: error:
I can't find the designer plugins. These are required and should have been installed
by kdelibs" >&2;}
by tdelibs" >&2;}
{ (exit 1); exit 1; }; }
fi
@ -31394,20 +31394,20 @@ fi
echo "${ECHO_T}$kde_cv_uic_plugins" >&6; }
if test "$kde_cv_uic_plugins" != yes; then
{ { echo "$as_me:$LINENO: error:
you need to install kdelibs first.
you need to install tdelibs first.
If you did install kdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile kdelibs.
The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the
If you did install tdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile tdelibs.
The Qt Plugin installed by tdelibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.
" >&5
echo "$as_me: error:
you need to install kdelibs first.
you need to install tdelibs first.
If you did install kdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile kdelibs.
The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the
If you did install tdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile tdelibs.
The Qt Plugin installed by tdelibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.
" >&2;}
@ -31582,20 +31582,20 @@ cat > conftest.$ac_ext <<EOF
#include <kapp.h>
int main() {
printf("kde_htmldir=\\"%s\\"\n", KApplication::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", KApplication::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", KApplication::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", KApplication::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", KApplication::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", KApplication::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", KApplication::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", KApplication::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", KApplication::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", KApplication::kde_toolbardir().data());
printf("kde_htmldir=\\"%s\\"\n", TDEApplication::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", TDEApplication::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", TDEApplication::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", TDEApplication::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", TDEApplication::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", TDEApplication::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", TDEApplication::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", TDEApplication::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", TDEApplication::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", TDEApplication::kde_toolbardir().data());
printf("kde_wallpaperdir=\\"%s\\"\n",
KApplication::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", KApplication::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", KApplication::kde_partsdir().data());
TDEApplication::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", TDEApplication::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", TDEApplication::kde_partsdir().data());
printf("kde_servicesdir=\\"/tmp/dummy\\"\n");
printf("kde_servicetypesdir=\\"/tmp/dummy\\"\n");
printf("kde_moduledir=\\"/tmp/dummy\\"\n");
@ -31658,7 +31658,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ echo "$as_me:$LINENO: checking for KDE libraries installed" >&5
echo $ECHO_N "checking for KDE libraries installed... $ECHO_C" >&6; }
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lkdecore $LIBQT $KDE_TEST_RPATH 1>&5'
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -ltdecore $LIBQT $KDE_TEST_RPATH 1>&5'
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
@ -31670,22 +31670,22 @@ echo "${ECHO_T}yes" >&6; }
else
{ { echo "$as_me:$LINENO: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and kdelibs as you did use now.
same compiler to compile Qt and tdelibs as you did use now.
For more details about this problem, look at the end of config.log." >&5
echo "$as_me: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and kdelibs as you did use now.
same compiler to compile Qt and tdelibs as you did use now.
For more details about this problem, look at the end of config.log." >&2;}
{ (exit 1); exit 1; }; }
fi
if eval `KDEDIR= ./conftest 2>&5`; then
if eval `TDEDIR= ./conftest 2>&5`; then
kde_result=done
else
kde_result=problems
fi
KDEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
TDEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
kde_have_all_paths=yes
@ -31884,20 +31884,20 @@ cat > conftest.$ac_ext <<EOF
#include <kapp.h>
int main() {
printf("kde_htmldir=\\"%s\\"\n", KApplication::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", KApplication::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", KApplication::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", KApplication::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", KApplication::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", KApplication::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", KApplication::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", KApplication::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", KApplication::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", KApplication::kde_toolbardir().data());
printf("kde_htmldir=\\"%s\\"\n", TDEApplication::kde_htmldir().data());
printf("kde_appsdir=\\"%s\\"\n", TDEApplication::kde_appsdir().data());
printf("kde_icondir=\\"%s\\"\n", TDEApplication::kde_icondir().data());
printf("kde_sounddir=\\"%s\\"\n", TDEApplication::kde_sounddir().data());
printf("kde_datadir=\\"%s\\"\n", TDEApplication::kde_datadir().data());
printf("kde_locale=\\"%s\\"\n", TDEApplication::kde_localedir().data());
printf("kde_cgidir=\\"%s\\"\n", TDEApplication::kde_cgidir().data());
printf("kde_confdir=\\"%s\\"\n", TDEApplication::kde_configdir().data());
printf("kde_mimedir=\\"%s\\"\n", TDEApplication::kde_mimedir().data());
printf("kde_toolbardir=\\"%s\\"\n", TDEApplication::kde_toolbardir().data());
printf("kde_wallpaperdir=\\"%s\\"\n",
KApplication::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", KApplication::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", KApplication::kde_partsdir().data());
TDEApplication::kde_wallpaperdir().data());
printf("kde_bindir=\\"%s\\"\n", TDEApplication::kde_bindir().data());
printf("kde_partsdir=\\"%s\\"\n", TDEApplication::kde_partsdir().data());
printf("kde_servicesdir=\\"/tmp/dummy\\"\n");
printf("kde_servicetypesdir=\\"/tmp/dummy\\"\n");
printf("kde_moduledir=\\"/tmp/dummy\\"\n");
@ -31960,7 +31960,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ echo "$as_me:$LINENO: checking for KDE libraries installed" >&5
echo $ECHO_N "checking for KDE libraries installed... $ECHO_C" >&6; }
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -lkdecore $LIBQT $KDE_TEST_RPATH 1>&5'
ac_link='$LIBTOOL_SHELL --silent --mode=link ${CXX-g++} -o conftest $CXXFLAGS $all_includes $CPPFLAGS $LDFLAGS $all_libraries conftest.$ac_ext $LIBS -ltdecore $LIBQT $KDE_TEST_RPATH 1>&5'
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
@ -31972,22 +31972,22 @@ echo "${ECHO_T}yes" >&6; }
else
{ { echo "$as_me:$LINENO: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and kdelibs as you did use now.
same compiler to compile Qt and tdelibs as you did use now.
For more details about this problem, look at the end of config.log." >&5
echo "$as_me: error: your system fails at linking a small KDE application!
Check, if your compiler is installed correctly and if you have used the
same compiler to compile Qt and kdelibs as you did use now.
same compiler to compile Qt and tdelibs as you did use now.
For more details about this problem, look at the end of config.log." >&2;}
{ (exit 1); exit 1; }; }
fi
if eval `KDEDIR= ./conftest 2>&5`; then
if eval `TDEDIR= ./conftest 2>&5`; then
kde_result=done
else
kde_result=problems
fi
KDEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
TDEDIR= ./conftest 2> /dev/null >&5 # make an echo for config.log
kde_have_all_paths=yes
@ -32096,11 +32096,11 @@ _ACEOF
kde_default_bindirs="/usr/bin /usr/local/bin /opt/local/bin /usr/X11R6/bin /opt/kde/bin /opt/kde3/bin /usr/kde/bin /usr/local/kde/bin"
test -n "$KDEDIR" && kde_default_bindirs="$KDEDIR/bin $kde_default_bindirs"
if test -n "$KDEDIRS"; then
test -n "$TDEDIR" && kde_default_bindirs="$TDEDIR/bin $kde_default_bindirs"
if test -n "$TDEDIRS"; then
kde_save_IFS=$IFS
IFS=:
for dir in $KDEDIRS; do
for dir in $TDEDIRS; do
kde_default_bindirs="$dir/bin $kde_default_bindirs "
done
IFS=$kde_save_IFS
@ -32474,12 +32474,12 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
if test -n "$kde32ornewer"; then
{ echo "$as_me:$LINENO: checking for kconfig_compiler" >&5
echo $ECHO_N "checking for kconfig_compiler... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for tdeconfig_compiler" >&5
echo $ECHO_N "checking for tdeconfig_compiler... $ECHO_C" >&6; }
if test -n "$KCONFIG_COMPILER"; then
kde_cv_path="$KCONFIG_COMPILER";
else
kde_cache=`echo kconfig_compiler | sed 'y%./+-%__p_%'`
kde_cache=`echo tdeconfig_compiler | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -32498,16 +32498,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/kconfig_compiler"; then
if test -x "$dir/tdeconfig_compiler"; then
if test -n ""
then
evalstr="$dir/kconfig_compiler 2>&1 "
evalstr="$dir/tdeconfig_compiler 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/kconfig_compiler"
kde_cv_path="$dir/tdeconfig_compiler"
break
fi
else
kde_cv_path="$dir/kconfig_compiler"
kde_cv_path="$dir/tdeconfig_compiler"
break
fi
fi
@ -32527,10 +32527,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program kconfig_compiler was not found!
{ { echo "$as_me:$LINENO: error: The important program tdeconfig_compiler was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program kconfig_compiler was not found!
echo "$as_me: error: The important program tdeconfig_compiler was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -32614,12 +32614,12 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
fi
if test -n "$kde33ornewer"; then
{ echo "$as_me:$LINENO: checking for makekdewidgets" >&5
echo $ECHO_N "checking for makekdewidgets... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: checking for maketdewidgets" >&5
echo $ECHO_N "checking for maketdewidgets... $ECHO_C" >&6; }
if test -n "$MAKEKDEWIDGETS"; then
kde_cv_path="$MAKEKDEWIDGETS";
else
kde_cache=`echo makekdewidgets | sed 'y%./+-%__p_%'`
kde_cache=`echo maketdewidgets | sed 'y%./+-%__p_%'`
if { as_var=kde_cv_path_$kde_cache; eval "test \"\${$as_var+set}\" = set"; }; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@ -32638,16 +32638,16 @@ else
IFS=$kde_save_IFS
for dir in $dirs; do
if test -x "$dir/makekdewidgets"; then
if test -x "$dir/maketdewidgets"; then
if test -n ""
then
evalstr="$dir/makekdewidgets 2>&1 "
evalstr="$dir/maketdewidgets 2>&1 "
if eval $evalstr; then
kde_cv_path="$dir/makekdewidgets"
kde_cv_path="$dir/maketdewidgets"
break
fi
else
kde_cv_path="$dir/makekdewidgets"
kde_cv_path="$dir/maketdewidgets"
break
fi
fi
@ -32667,10 +32667,10 @@ fi
{ echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6; }
{ { echo "$as_me:$LINENO: error: The important program makekdewidgets was not found!
{ { echo "$as_me:$LINENO: error: The important program maketdewidgets was not found!
Please check whether you installed KDE correctly.
" >&5
echo "$as_me: error: The important program makekdewidgets was not found!
echo "$as_me: error: The important program maketdewidgets was not found!
Please check whether you installed KDE correctly.
" >&2;}
{ (exit 1); exit 1; }; }
@ -32748,7 +32748,7 @@ echo "${ECHO_T}$kde_cv_path" >&6; }
if test -n "$MEINPROC" -a "$MEINPROC" != "compiled"; then
kde_sharedirs="/usr/share/kde /usr/local/share /usr/share /opt/kde3/share /opt/kde/share $prefix/share"
test -n "$KDEDIR" && kde_sharedirs="$KDEDIR/share $kde_sharedirs"
test -n "$TDEDIR" && kde_sharedirs="$TDEDIR/share $kde_sharedirs"
KDE_XSL_STYLESHEET=NO
for i in $kde_sharedirs;
@ -32810,7 +32810,7 @@ done
kdeinitdir='$(kde_moduledir)'
tdeinitdir='$(kde_moduledir)'
@ -32829,16 +32829,16 @@ fi
if test $kde_qtver = 3; then
case $host in
*cygwin*) lib_kded="-lkdeinit_kded" ;;
*cygwin*) lib_kded="-ltdeinit_kded" ;;
*) lib_kded="" ;;
esac
LIB_KDED=$lib_kded
LIB_KDECORE="-lkdecore"
LIB_TDECORE="-ltdecore"
LIB_KDEUI="-lkdeui"
LIB_TDEUI="-ltdeui"
LIB_KIO="-lkio"
LIB_TDEIO="-ltdeio"
LIB_KJS="-lkjs"
@ -32846,66 +32846,66 @@ if test $kde_qtver = 3; then
LIB_KAB="-lkab"
LIB_KABC="-lkabc"
LIB_KABC="-ltdeabc"
LIB_KHTML="-lkhtml"
LIB_TDEHTML="-ltdehtml"
LIB_KSPELL="-lkspell"
LIB_TDESPELL="-ltdespell"
LIB_KPARTS="-lkparts"
LIB_TDEPARTS="-ltdeparts"
LIB_KDEPRINT="-lkdeprint"
LIB_TDEPRINT="-ltdeprint"
LIB_KUTILS="-lkutils"
LIB_TDEUTILS="-ltdeutils"
LIB_KDEPIM="-lkdepim"
LIB_TDEPIM="-ltdepim"
LIB_KIMPROXY="-lkimproxy"
LIB_TDEIMPROXY="-ltdeimproxy"
LIB_KNEWSTUFF="-lknewstuff"
LIB_KDNSSD="-lkdnssd"
LIB_TDEDNSSD="-ltdednssd"
LIB_KUNITTEST="-lkunittest"
LIB_TDEUNITTEST="-ltdeunittest"
# these are for backward compatibility
LIB_KSYCOCA="-lkio"
LIB_TDESYCOCA="-ltdeio"
LIB_KFILE="-lkio"
LIB_KFILE="-ltdeio"
elif test $kde_qtver = 2; then
LIB_KDECORE="-lkdecore"
LIB_TDECORE="-ltdecore"
LIB_KDEUI="-lkdeui"
LIB_TDEUI="-ltdeui"
LIB_KIO="-lkio"
LIB_TDEIO="-ltdeio"
LIB_KSYCOCA="-lksycoca"
LIB_TDESYCOCA="-ltdesycoca"
LIB_SMB="-lsmb"
LIB_KFILE="-lkfile"
LIB_KFILE="-ltdefile"
LIB_KAB="-lkab"
LIB_KHTML="-lkhtml"
LIB_TDEHTML="-ltdehtml"
LIB_KSPELL="-lkspell"
LIB_TDESPELL="-ltdespell"
LIB_KPARTS="-lkparts"
LIB_TDEPARTS="-ltdeparts"
LIB_KDEPRINT="-lkdeprint"
LIB_TDEPRINT="-ltdeprint"
else
LIB_KDECORE="-lkdecore -lXext $(LIB_QT)"
LIB_TDECORE="-ltdecore -lXext $(LIB_QT)"
LIB_KDEUI="-lkdeui $(LIB_KDECORE)"
LIB_TDEUI="-ltdeui $(LIB_TDECORE)"
LIB_KFM="-lkfm $(LIB_KDECORE)"
LIB_KFM="-lkfm $(LIB_TDECORE)"
LIB_KFILE="-lkfile $(LIB_KFM) $(LIB_KDEUI)"
LIB_KFILE="-ltdefile $(LIB_KFM) $(LIB_TDEUI)"
LIB_KAB="-lkab $(LIB_KIMGIO) $(LIB_KDECORE)"
LIB_KAB="-lkab $(LIB_KIMGIO) $(LIB_TDECORE)"
fi
@ -33721,7 +33721,7 @@ Usage: $0 [OPTIONS] [FILE]...
-h, --help print this help, then exit
-V, --version print version number and configuration settings, then exit
-q, --quiet do not print progress messages
-q, --tquiet do not print progress messages
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
@ -33798,7 +33798,7 @@ Try \`$0 --help' for more information." >&2
{ (exit 1); exit 1; }; };;
--help | --hel | -h )
echo "$ac_cs_usage"; exit ;;
-q | -quiet | --quiet | --quie | --qui | --qu | --q \
-q | -tquiet | --tquiet | --tquie | --tqui | --qu | --q \
| -silent | --silent | --silen | --sile | --sil | --si | --s)
ac_cs_silent=: ;;
@ -34225,28 +34225,28 @@ kde_templatesdir!$kde_templatesdir$ac_delim
kde_servicesdir!$kde_servicesdir$ac_delim
kde_servicetypesdir!$kde_servicetypesdir$ac_delim
kde_moduledir!$kde_moduledir$ac_delim
kdeinitdir!$kdeinitdir$ac_delim
tdeinitdir!$tdeinitdir$ac_delim
kde_styledir!$kde_styledir$ac_delim